Home//Calls
Calls
Introduction
Changelog (2.17)
Intercom API
Admins
AI Content
Articles
Audiences
Away Status Reasons
Banners
Brands
Companies
Contacts
Content
Content Snippets
Conversations
Conversations Attributes
Custom Object Instances
Data Attributes
Data Connectors
Data Events
Data Export
Dynamic Content
Emails
Fin Agent
Folders
Help Center
Internal Articles
IP Allowlist
Jobs
Macros
Messages
News
Notes
Office Hours
Reporting Data Export
Segments
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Tickets
Visitors
WhatsApp
Workflows
Models
Retrieve a paginated list of calls.
Requires the read_conversations OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/calls
- The european API serverhttps://api.eu.intercom.io/calls
- The australian API serverhttps://api.au.intercom.io/calls
curl -i -X GET \
'https://api.intercom.io/calls?page=1&per_page=25' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'successful
dataArray of objects(Call)
A list of calls.
pagesobject(Pagination Object)
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
Response
- string
- integer
{ "type": "list", "data": [], "total_count": 0, "pages": { "type": "pages", "page": 1, "per_page": 25, "total_pages": 0 } }